#include<bits/stdc++.h>
using namespace std;
#define FOR(i,a,b) for(register int i=(a);i<(b);++i)
typedef long long ll;
typedef pair<int,int> pii;
const int MAXN = (int)1e5+10;
const int INF = 0x3f3f3f3f;
inline ll read(){
	register ll x=0,f=1;char c = getchar();
	while(!isdigit(c)){if(c=='-')f=0;c=getchar();}
	while(isdigit(c)){x=(x<<3)+(x<<1)+(c^48);c=getchar();}
	return f?x:-x;
}
template<typename T>
inline void write(T x){
	if(x<0){putchar('-');x=-x;}
	if(x>9)write(x/10);
	putchar(x%10+'0');
}
int main(){
	freopen("traverse.in","r",stdin);
	freopen("traverse.out","w",stdout);
	//¿´²»¶® 
	fclose(stdin);
	fclose(stdout);
	return 0;
}
 
